Create an exception list item
- Base URL
-
https://{kibana_url}
- POST /api/exception_lists/items
Create an exception item and associate it with the specified exception list.
Before creating exception items, you must create an exception list.
Request body
Exception list item's properties
One of:-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion anyOf[]required - Any of:
-
fieldstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
listobjectrequired -
typeenumrequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext -
list_idstring · format: nonempty · min length: 1required -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion anyOf[] -
Same options as
entriesintype: simple -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion oneOf[] · min items: 1 -
Process hash, executable path, or code signature entries
- One of:
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion oneOf[] · min items: 1 -
Process hash, executable path, or code signature entries
- One of:
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion oneOf[] · min items: 1 -
Process hash or executable path entries (code signature not supported on Linux)
- One of:
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Exception entries for the trusted device (duplicate field entries are not allowed)
-
os_typesenum[] · min items: 1 · max items: 1 -
Must be Windows-only to allow username field
-
Values:
windows -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Exception entries for the trusted device (duplicate field entries are not allowed)
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Exception entries for the trusted device (duplicate field entries are not allowed, username not available when targeting both OS)
-
os_typesenum[] · min items: 2 · max items: 2 -
Must include both Windows and macOS (username field not allowed)
-
Values:
windowsmacos -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion anyOf[] -
Same options as
entriesintype: simple -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 · max items: 1 -
Exactly one entry allowed for host isolation exceptions
-
os_typesenum[] · min items: 3 · max items: 3 -
Must include all three operating systems (windows, linux, macos)
-
Values:
windowslinuxmacos -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion oneOf[] · min items: 1 -
Validation rules:
- Hash entries: up to 3 (one for each hash type: md5, sha1, sha256)
- Path entry: only 1 allowed
- Code signature entry: only 1 allowed
- One of:
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Validation rules:
- Hash entries: up to 3 (one for each hash type: md5, sha1, sha256)
- Path entry: only 1 allowed
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Validation rules:
- Hash entries: up to 3 (one for each hash type: md5, sha1, sha256)
- Path entry: only 1 allowed
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
-
commentsobject[]required -
Array of comment fields:
- comment (string): Comments about the exception item.
-
entriesunion anyOf[]required -
Same options as
entriesintype: simple -
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1required -
Human readable string identifier, e.g.
trusted-linux-processes -
list_idstring · format: nonempty · min length: 1required -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
-
namespace_typeenumrequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
Exception list item already exists response